List Commitments - m3ter Documentation
List Commitments
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/commitments \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/commitments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/commitments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
200
4XX
5XX
{
"data": [
{
"id": "<string>",
"version": 123,
"accountId": "<string>",
"billingPlanId": "<string>",
"productIds": [
"<string>"
],
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"currency": "<string>",
"amount": 123,
"amountPrePaid": 123,
"amountFirstBill": 123,
"amountSpent": 123,
"overageSurchargePercent": 123,
"separateOverageUsage": true,
"billingInterval": 123,
"billingOffset": 123,
"commitmentFeeDescription": "<string>",
"commitmentUsageDescription": "<string>",
"overageDescription": "<string>",
"commitmentFeeBillInAdvance": true,
"billEpoch": "2023-12-25",
"contractId": "<string>",
"accountingProductId": "<string>",
"feesAccountingProductId": "<string>",
"drawdownsAccountingProductId": "<string>",
"feeDates": [
{
"date": "2023-12-25",
"amount": 1,
"servicePeriodStartDate": "2023-11-07T05:31:56Z",
"servicePeriodEndDate": "2023-11-07T05:31:56Z"
}
],
"lineItemTypes": [],
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
- Authorization: string, required, header; m3ter supports machine to machine authentication using the
clientCredentialsOAuth2 flow.
Path Parameters
- orgId: string, required; The unique identifier (UUID) for your Organization.
Query Parameters
- pageSize: integer
; Specifies the maximum number of Commitments to retrieve per page. Required range: 1 <= x <= 100 - nextToken: string; The
nextTokenfor multi-page retrievals. - accountId: string; The unique identifier (UUID) for the Account.
- productId: string; The unique identifier (UUID) for the Product.
- date: string; A date (in ISO-8601 format) to filter Commitments.
- endDateStart: string; A date (in ISO-8601 format). Must use with
accountId. - endDateEnd: string; A date (in ISO-8601 format). Must use with
accountId. - ids: string[]; A list of unique identifiers (UUIDs) for the Commitments.
- contractId: string | null; The unique identifier (UUID) for the Contract.
Response
- data: object[]; Returns a list of Commitments.
- nextToken: string.